Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1015052 - [ovirt-engine-backend] there are dos end of lines in engine.log
Summary: [ovirt-engine-backend] there are dos end of lines in engine.log
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.4.0
Assignee: Eli Mesika
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-10-03 11:32 UTC by Jiri Belka
Modified: 2016-02-10 19:36 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 14:03:38 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
grepped lines of engine.log (deleted)
2013-10-03 11:32 UTC, Jiri Belka
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 20983 None None None Never

Description Jiri Belka 2013-10-03 11:32:24 UTC
Created attachment 807018 [details]
grepped lines of engine.log

Description of problem:
# cat -vte /var/log/ovirt-engine/engine.log | grep '\^M' | tail
                volUUID=05825cc3-e604-48c1-a67c-2962e4bddad5^M$
                descr=^M$
                srcImgGUID=78441be0-c017-4f69-81f6-fa61fe38d600^M$
                srcVolUUID=0c84422e-1276-42f4-af5f-d591a609958b^M$
2013-10-03 13:21:24,140 ERROR [org.ovirt.engine.core.bll.SPMAsyncTask] (DefaultQuartzScheduler_Worker-53) BaseAsyncTask::LogEndTaskFailure: Task 8f78d069-089b-47ca-a209-a218c9deeade (Parent Command AddVm, Parameters Type org.ovirt.engine.core.common.asynctasks.AsyncTaskParameters) ended with failure:^M$
-- Result: cleanSuccess^M$
-- Message: VDSGenericException: VDSTaskResultNotSuccessException: TaskState contained successful return code, but a non-success result ('cleanSuccess').,^M$
2013-10-03 13:21:24,155 ERROR [org.ovirt.engine.core.bll.SPMAsyncTask] (DefaultQuartzScheduler_Worker-53) BaseAsyncTask::LogEndTaskFailure: Task 0e0fdd50-cc29-4a38-9696-1f8a7b4f6b79 (Parent Command ImportVm, Parameters Type org.ovirt.engine.core.common.asynctasks.AsyncTaskParameters) ended with failure:^M$
-- Result: cleanSuccess^M$
-- Message: VDSGenericException: VDSTaskResultNotSuccessException: TaskState contained successful return code, but a non-success result ('cleanSuccess').,^M$


Version-Release number of selected component (if applicable):
is17

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
bogus end of lines

Expected results:
no dos end of lines

Additional info:

Comment 1 Yair Zaslavsky 2013-10-07 12:24:55 UTC
I would suggest not to fix this at current point in time of rhevm 3.3
In case you disagree, feel free to communicate me and discuss.

Comment 2 Eli Mesika 2013-11-20 09:30:12 UTC
fixed in commit : b682e28578e2b92929d7c9643174e01fe0070e49

Comment 3 Sandro Bonazzola 2014-01-14 08:42:42 UTC
ovirt 3.4.0 alpha has been released

Comment 4 Jiri Belka 2014-01-27 09:27:08 UTC
ok, ovirt-engine-3.4.0-0.2.master.20140112020439.git9ad8529.el6.noarch

Comment 6 Itamar Heim 2014-06-12 14:03:38 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.